# This file created by conda-build 3.10.9+231.g0cfa1d7
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregateMRO/r-oce-feedstock/recipe, last modified Fri Sep 21 16:32:42 2018
# ------------------------------------------------

package:
    name: r-oce
    version: '0.9_23'
source:
    sha256: 390fd082710ee1586074ff20df61208df4c76b9f2dc0c9b1125aade4c934b04c
    url:
        - https://mran.microsoft.com/snapshot/2018-08-01/src/contrib/Archive/oce/oce_0.9-23.tar.gz
        - https://mran.microsoft.com/snapshot/2018-08-01/src/contrib/oce_0.9-23.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: mro351h2efac65_0
requirements:
    build:
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_3
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_3
        - gfortran_impl_linux-64 7.3.0 hdf63c60_1
        - gfortran_linux-64 7.3.0 h553295d_3
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_3
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 8.2.0 hdf63c60_1
    host:
        - _r-mutex 1.0.0 mro_2
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - ca-certificates 2018.03.07 0
        - cairo 1.14.12 h8948797_3
        - curl 7.61.0 h84994c4_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_1
        - fribidi 1.0.5 h7b6447c_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - glib 2.56.2 hd408876_0
        - graphite2 1.3.12 h23475e2_2
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - harfbuzz 1.8.8 hffaf4a1_0
        - icu 58.2 h9c2bf20_1
        - libcurl 7.61.0 h1ad7b7a_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.34 hb9fc6fc_0
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.8 h26e45fe_1
        - make 4.2.1 h1bed415_1
        - mro-base 3.5.1 h1c2f66e_0
        - openssl 1.0.2p h14c3975_0
        - pango 1.42.4 h049681c_0
        - pcre 8.42 h439df22_0
        - pixman 0.34.0 hceecf20_3
        - r-assertthat 0.2.0 mro351hf348343_0
        - r-cli 1.0.0 mro351hf348343_0
        - r-crayon 1.3.4 mro351hf348343_0
        - r-digest 0.6.15 mro351hd10c6a6_0
        - r-gsw 1.0_5 mro351hd10c6a6_0
        - r-magrittr 1.5 mro351hf348343_0
        - r-praise 1.0.0 mro351hf348343_0
        - r-r6 2.2.2 mro351hf348343_0
        - r-rlang 0.2.1 mro351hd10c6a6_0
        - r-testthat 2.0.0 mro351hebc1506_0
        - r-withr 2.1.2 mro351hf348343_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.3.0
        - libgfortran-ng >=7,<8.0a0
        - libstdcxx-ng >=7.3.0
        - mro-base >=3.5.1,<3.5.2.0a0
        - r-gsw
        - r-testthat
test:
    commands:
        - $R -e "library('oce')"
about:
    home: https://dankelley.github.io/oce
    license: GPL (>= 2)
    license_family: GPL3
    summary: Supports the analysis of Oceanographic data, including 'ADCP' measurements,
        measurements made with 'argo' floats, 'CTD' measurements, sectional data,
        sea-level time series, coastline and topographic data, etc. Provides specialized
        functions for calculating seawater properties such as potential temperature
        in either the 'UNESCO' or 'TEOS-10' equation of state. Produces graphical
        displays that conform to the conventions of the Oceanographic literature.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - mingwandroid
